# Exiv2::TiffDecoderInfo Struct Reference

TIFF decoder table. More...

`#include <tiffvisitor.hpp>`

List of all members.

## Public Member Functions

bool | operator== (const Key &key) const
| Compare a TiffDecoderInfo with a TiffDecoderInfo::Key. The two are equal if TiffDecoderInfo::make_ equals a substring of the key of the same size. E.g., decoder info = "OLYMPUS", key = "OLYMPUS OPTICAL CO.,LTD" (found in the image) match, the extendedTag is Tag::all or equal to the extended tag of the key, and the group is equal to that of the key.
uint16_t | tag () const
| Return the tag corresponding to the extended tag.

## Public Attributes

const char * | make_
| Camera make for which this decoder function applies.
uint32_t | extendedTag_
| Tag (32 bit so that it can contain special tags).
uint16_t | group_
| Group that contains the tag.
DecoderFct | decoderFct_
| Decoder function for matching tags.

## Classes

struct | Key
| Search key for TIFF decoder structures. More...

## Detailed Description

TIFF decoder table.

The documentation for this struct was generated from the following files:

- tiffvisitor.hpp
- tiffvisitor.cpp